Skip to main content

private/fiat/fiat-transaction-quota

POST 

/private/fiat/fiat-transaction-quota

Retrieves transaction quota information for a specific payment network.

Request

Body

required
    id int64required

    Request id (echoed in response)

    method stringrequired

    Must be "private/fiat/fiat-transaction-quota"

    api_key stringrequired

    Your API key (only required for private REST)

    sig stringrequired

    HMAC-SHA256 signature in hex (only required for private REST)

    nonce int64required

    Current timestamp in milliseconds, e.g. "1771761038000".

    params objectrequired
    payment_network stringrequired

    Payment network identifier.

Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    result object
    Present when code === 0. details per docs.
    details objectrequired
    Detailed quota information. See properties below.
    currency stringrequired

    Currency code.

    payment_network stringrequired

    Payment network identifier.

    network_name stringrequired

    Human-readable network name.

    monthly_quota_in_usd objectrequired
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    daily_quota_in_usd objectrequired
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    used_monthly_quota_in_usd objectrequired
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    used_daily_quota_in_usd objectrequired
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    remaining_monthly_quota_in_usd objectrequired
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    remaining_daily_quota_in_usd objectrequired
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    minimum_withdrawal_amount_in_usd objectrequired
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    monthly_quota objectrequired
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    daily_quota objectrequired
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    used_monthly_quota objectrequired
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    used_daily_quota objectrequired
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    remaining_monthly_quota objectrequired
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    remaining_daily_quota objectrequired
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    minimum_withdrawal_amount objectrequired
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    currency_daily_quota objectrequired
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    currency_monthly_quota objectrequired
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    currency_used_daily_quota objectrequired
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    currency_used_monthly_quota objectrequired
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    currency_remaining_daily_quota objectrequired
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    currency_remaining_monthly_quota objectrequired
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    transactions_per_day int32nullable

    Maximum transactions per day (null if no limit).

    transactions_per_month int32nullable

    Maximum transactions per month (null if no limit).

    transactions_daily_count int32required

    Current daily transaction count.

    transactions_monthly_count int32required

    Current monthly transaction count.

    remaining_transactions_daily_count int32nullable

    Remaining daily transactions (null if no limit).

    remaining_transactions_monthly_count int32nullable

    Remaining monthly transactions (null if no limit).

    currency_transactions_per_day int32nullable

    Currency-level max transactions per day (null if no limit).

    currency_transactions_per_month int32nullable

    Currency-level max transactions per month (null if no limit).

    currency_transactions_daily_count int32required

    Currency-level current daily transaction count.

    currency_transactions_monthly_count int32required

    Currency-level current monthly transaction count.

    currency_remaining_transactions_daily_count int32nullable

    Currency-level remaining daily transactions (null if no limit).

    currency_remaining_transactions_monthly_count int32nullable

    Currency-level remaining monthly transactions (null if no limit).

    message string

    Present when code !== 0.

    original string

    Present when code !== 0.